package com.cim.idm.wmspackage.materialpacking.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;
import com.fasterxml.jackson.annotation.JsonProperty;

public class MaterialPackingToTQMS extends FieldAccessor {
	@JsonProperty("SITENAME") 
	private String siteName;
	@JsonProperty("RECEIVEACTNO") 
	private String receiveActNo;
	@JsonProperty("RECEIVEREQUESTNAME") 
	private String receiveRequestName;
	@JsonProperty("RECEIVEREQUESTDETAILNAME") 
	private String receiveRequestDetailName;
	@JsonProperty("MAKEDATE")
	private String makeDate;
	@JsonProperty("RECEIVETIME")
	private String receiveTime;
	@JsonProperty("SUPPLIERNO")
	private String supplierNO;
	@JsonProperty("SUPPLIERNAME")
	private String supplierName;
	@JsonProperty("MATERIALSPECNAME")
	private String materialSpecName;
	@JsonProperty("DESC_CN")
	private String desc_cn;
	@JsonProperty("TOTALQUANTITY")
	private String totalQuantity;
	@JsonProperty("MATERIALUNIT")
	private String materialUnit;
	@JsonProperty("USERNAME")
	private String userName;
	@JsonProperty("CREATEUSER")
	private String createUser;	
	@JsonProperty("ERPLOCATION")
	private String erpLocation;	
	@JsonProperty("ERPFACTORY")
	private String erpFactory;
	@JsonProperty("MATERIALQUANTITY")
	private String materialQuantity;
	@JsonProperty("MATERIALPACKINGNAME")		
	private String materialPackingName;	
	@JsonProperty("MATERIALPROCESSGROUPNAME")
	private String materialProcessGroupName;
	@JsonProperty("OQAMETHOD")
	private String oqaMethod;
	@JsonProperty("HOLDSTATE")
	private String holdState;
	@JsonProperty("PROCESSSTATE")
	private String processState;
	@JsonProperty("REASONCODE")
	private String reasonCode;
	@JsonProperty("STOCKSTATE")
	private String stockState;
	@JsonProperty("REMARK")
	private String remark;
	@JsonProperty("INVALID")
	private String invalid;
	@JsonProperty("CHARGE")
	private String charge;
	
	// （6）MaterialPackingToTQMS.Java文件中增加 @JsonProperty("ZF_BOXID")
	@JsonProperty("ZF_BOXID")
    private String zf_boxid;

    public String getZf_boxid() {
        return zf_boxid;
    }

    public void setZf_boxid(String zf_boxid) {
        this.zf_boxid = zf_boxid;
    }

    public String getMatnr() {
        return matnr;
    }

    public void setMatnr(String matnr) {
        this.matnr = matnr;
    }

    public String getZf_werstri() {
        return zf_werstri;
    }

    public void setZf_werstri(String zf_werstri) {
        this.zf_werstri = zf_werstri;
    }

    public String getZf_pboxid() {
        return zf_pboxid;
    }

    public void setZf_pboxid(String zf_pboxid) {
        this.zf_pboxid = zf_pboxid;
    }

    public String getLifnr() {
        return lifnr;
    }

    public void setLifnr(String lifnr) {
        this.lifnr = lifnr;
    }

    public String getWerks() {
        return werks;
    }

    public void setWerks(String werks) {
        this.werks = werks;
    }

    public String getZf_boxidnum() {
        return zf_boxidnum;
    }

    public void setZf_boxidnum(String zf_boxidnum) {
        this.zf_boxidnum = zf_boxidnum;
    }

    @JsonProperty("MATNR")
    private String matnr;
    @JsonProperty("ZF_WERKSTRI")
    private String zf_werstri;
    @JsonProperty("ZF_PBOXID")
    private String zf_pboxid;
    @JsonProperty("LIFNR")
    private String lifnr;
    @JsonProperty("WERKS")
    private String werks;
    @JsonProperty("ZF_BOXIDNUM")
    private String zf_boxidnum; //SMessageUtil.java中增加

	
	
	
	public String getCharge() {
		return charge;
	}

	public void setCharge(String charge) {
		this.charge = charge;
	}

	public String getInvalid() {
		return invalid;
	}

	public void setInvalid(String invalid) {
		this.invalid = invalid;
	}

	public String getStockState() {
		return stockState;
	}

	public void setStockState(String stockState) {
		this.stockState = stockState;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	public String getOqaMethod() {
		return oqaMethod;
	}

	public void setOqaMethod(String oqaMethod) {
		this.oqaMethod = oqaMethod;
	}

	public String getProcessState() {
		return processState;
	}

	public void setProcessState(String processState) {
		this.processState = processState;
	}

	public String getOqaResult() {
		return oqaResult;
	}

	public void setOqaResult(String oqaResult) {
		this.oqaResult = oqaResult;
	}

	private String oqaResult;
	public String getMaterialProcessGroupName() {
		return materialProcessGroupName;
	}

	public void setMaterialProcessGroupName(String materialProcessGroupName) {
		this.materialProcessGroupName = materialProcessGroupName;
	}

	public String getSiteName() {
		return siteName;
	}

	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}

	public String getSupplierNO() {
		return supplierNO;
	}

	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}

	public String getDesc_cn() {
		return desc_cn;
	}

	public void setDesc_cn(String desc_cn) {
		this.desc_cn = desc_cn;
	}

	public String getTotalQuantity() {
		return totalQuantity;
	}

	public void setTotalQuantity(String totalQuantity) {
		this.totalQuantity = totalQuantity;
	}

	public String getMaterialUnit() {
		return materialUnit;
	}

	public void setMaterialUnit(String materialUnit) {
		this.materialUnit = materialUnit;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getMaterialPackingName() {
		return materialPackingName;
	}

	public void setMaterialPackingName(String materialPackingName) {
		this.materialPackingName = materialPackingName;
	}
		
	public String getSupplierName() {
		return supplierName;
	}

	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	

	public String getMaterialSpecName() {
		return materialSpecName;
	}

	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}


	public String getMakeDate() {
		return makeDate;
	}

	public void setMakeDate(String makeDate) {
		this.makeDate = makeDate;
	}

	public String getReceiveTime() {
		return receiveTime;
	}

	public void setReceiveTime(String receiveTime) {
		this.receiveTime = receiveTime;
	}

	public String getMaterialQuantity() {
		return materialQuantity;
	}

	public void setMaterialQuantity(String materialQuantity) {
		this.materialQuantity = materialQuantity;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public String getReceiveRequestName() {
		return receiveRequestName;
	}

	public void setReceiveRequestName(String receiveRequestName) {
		this.receiveRequestName = receiveRequestName;
	}

	public String getReceiveRequestDetailName() {
		return receiveRequestDetailName;
	}

	public void setReceiveRequestDetailName(String receiveRequestDetailName) {
		this.receiveRequestDetailName = receiveRequestDetailName;
	}



	public String getReceiveActNo() {
		return receiveActNo;
	}

	public void setReceiveActNo(String receiveActNo) {
		this.receiveActNo = receiveActNo;
	}


	
	public String getErpLocation() {
		return erpLocation;
	}

	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}
	public String getErpFactory() {
		return erpFactory;
	}

	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getHoldState() {
		return holdState;
	}

	public void setHoldState(String holdState) {
		this.holdState = holdState;
	}

	public static class Field
	{
		public static final String messageID="messageId";
	}


}
